Intermittent test_stk_proactive_command.js | TimeoutException: socket.timeout

RESOLVED WORKSFORME

Status

RESOLVED WORKSFORME
6 years ago
4 years ago

People

(Reporter: philor, Unassigned)

Tracking

({intermittent-failure})

unspecified
ARM
Gonk (Firefox OS)
intermittent-failure
Dependency tree / graph

Firefox Tracking Flags

(tracking-b2g:backlog)

Details

(Reporter)

Description

6 years ago
https://tbpl.mozilla.org/php/getParsedLog.php?id=20013566&tree=Mozilla-Inbound
b2g_ics_armv7a_gecko_emulator mozilla-inbound opt test marionette-webapi on 2013-02-22 22:03:37 PST for push c863d79841e9
slave: talos-r3-fed-075

22:17:18     INFO -  ERROR: /home/cltbld/talos-slave/test/build/tests/marionette/tests/dom/icc/tests/marionette/test_stk_proactive_command.js, runTest (marionette_test.MarionetteJSTestCase)
22:17:18     INFO -  ----------------------------------------------------------------------
22:17:18    ERROR -  Traceback (most recent call last):
22:17:18     INFO -    File "/home/cltbld/talos-slave/test/build/tests/marionette/marionette/marionette_test.py", line 97, in tearDown
22:17:18     INFO -      self.marionette.delete_session()
22:17:18     INFO -    File "/home/cltbld/talos-slave/test/build/tests/marionette/marionette/marionette.py", line 353, in delete_session
22:17:18     INFO -      response = self._send_message('deleteSession', 'ok')
22:17:18     INFO -    File "/home/cltbld/talos-slave/test/build/tests/marionette/marionette/marionette.py", line 245, in _send_message
22:17:18    ERROR -      raise TimeoutException(message='socket.timeout', status=ErrorCodes.TIMEOUT, stacktrace=None)
22:17:18    ERROR -  TEST-UNEXPECTED-FAIL | test_stk_proactive_command.js | TimeoutException: socket.timeout
22:17:18     INFO -  START LOG:
22:17:18     INFO -  INFO TEST-START: /home/cltbld/talos-slave/test/build/tests/marionette/tests/dom/icc/tests/marionette/test_stk_proactive_command.js Fri Feb 22 2013 19:14:05 GMT-1100 (SST)
22:17:18     INFO -  INFO STK CMD {"commandNumber":1,"typeOfCommand":16,"commandQualifier":0,"rilMessageType":"stkcommand","options":{"confirmMessage":"Not busy","address":"+012340123456,1,2","duration":{"timeUnit":1,"timeInterval":10}}} Fri Feb 22 2013 19:14:06 GMT-1100 (SST)
22:17:18     INFO -  INFO STK CMD {"commandNumber":1,"typeOfCommand":33,"commandQualifier":128,"rilMessageType":"stkcommand","options":{"text":"10 Second","duration":{"timeUnit":1,"timeInterval":10},"userClear":true}} Fri Feb 22 2013 19:14:06 GMT-1100 (SST)
22:17:18     INFO -  INFO STK CMD {"commandNumber":1,"typeOfCommand":34,"commandQualifier":0,"rilMessageType":"stkcommand","options":{"text":"Enter \"+\"","duration":{"timeUnit":1,"timeInterval":10},"minLength":1,"maxLength":1}} Fri Feb 22 2013 19:14:06 GMT-1100 (SST)
22:17:18     INFO -  INFO STK CMD {"commandNumber":1,"typeOfCommand":16,"commandQualifier":4,"rilMessageType":"stkcommand","options":{"confirmMessage":"Disconnect","callMessage":"Message","address":"012340123456,1,2"}} Fri Feb 22 2013 19:14:06 GMT-1100 (SST)
22:17:18     INFO -  INFO STK CMD {"commandNumber":1,"typeOfCommand":39,"commandQualifier":2,"rilMessageType":"stkcommand","options":{"timerAction":2,"timerId":8}} Fri Feb 22 2013 19:14:06 GMT-1100 (SST)
22:17:18     INFO -  INFO STK CMD {"commandNumber":1,"typeOfCommand":39,"commandQualifier":1,"rilMessageType":"stkcommand","options":{"timerAction":1,"timerId":4}} Fri Feb 22 2013 19:14:06 GMT-1100 (SST)
22:17:18     INFO -  INFO STK CMD {"commandNumber":1,"typeOfCommand":39,"commandQualifier":0,"rilMessageType":"stkcommand","options":{"timerAction":0,"timerId":1,"timerValue":3723}} Fri Feb 22 2013 19:14:06 GMT-1100 (SST)
22:17:18     INFO -  INFO STK CMD {"commandNumber":1,"typeOfCommand":1,"commandQualifier":1,"rilMessageType":"stkcommand","options":null} Fri Feb 22 2013 19:14:07 GMT-1100 (SST)
22:17:18     INFO -  INFO STK CMD {"commandNumber":1,"typeOfCommand":4,"commandQualifier":0,"rilMessageType":"stkcommand","options":null} Fri Feb 22 2013 19:14:07 GMT-1100 (SST)
22:17:18     INFO -  INFO STK CMD {"commandNumber":1,"typeOfCommand":37,"commandQualifier":0,"rilMessageType":"stkcommand","options":{"title":"Toolkit Menu","items":[{"identifier":1,"text":"Item 1"},{"identifier":2,"text":"Item 2"},{"identifier":3,"text":"Item 3"},{"identifier":4,"text":"Item 4"}],"presentationType":0}} Fri Feb 22 2013 19:14:07 GMT-1100 (SST)
22:17:18     INFO -  INFO STK CMD {"commandNumber":1,"typeOfCommand":37,"commandQualifier":0,"rilMessageType":"stkcommand","options":{"title":"","items":[null],"presentationType":0}} Fri Feb 22 2013 19:14:07 GMT-1100 (SST)
22:17:18     INFO -  INFO STK CMD {"commandNumber":1,"typeOfCommand":38,"commandQualifier":4,"rilMessageType":"stkcommand","options":{"localInfoType":4}} Fri Feb 22 2013 19:14:07 GMT-1100 (SST)
22:17:18     INFO -  INFO STK CMD {"commandNumber":1,"typeOfCommand":38,"commandQualifier":3,"rilMessageType":"stkcommand","options":{"localInfoType":3}} Fri Feb 22 2013 19:14:07 GMT-1100 (SST)
22:17:18     INFO -  INFO STK CMD {"commandNumber":1,"typeOfCommand":38,"commandQualifier":1,"rilMessageType":"stkcommand","options":{"localInfoType":1}} Fri Feb 22 2013 19:14:07 GMT-1100 (SST)
22:17:18     INFO -  INFO STK CMD {"commandNumber":1,"typeOfCommand":38,"commandQualifier":0,"rilMessageType":"stkcommand","options":{"localInfoType":0}} Fri Feb 22 2013 19:14:07 GMT-1100 (SST)
22:17:18     INFO -  INFO STK CMD {"commandNumber":1,"typeOfCommand":33,"commandQualifier":128,"rilMessageType":"stkcommand","options":{"text":"Saldo 2.04 E. Validez 20/05/13. ","userClear":true}} Fri Feb 22 2013 19:14:07 GMT-1100 (SST)
22:17:18     INFO -  INFO TEST-END: /home/cltbld/talos-slave/test/build/tests/marionette/tests/dom/icc/tests/marionette/test_stk_proactive_command.js Fri Feb 22 2013 19:14:07 GMT-1100 (SST)
22:17:18     INFO -  END LOG:
22:17:18     INFO -  ----------------------------------------------------------------------
22:17:18     INFO -  Ran 1 test in 182.223s
22:17:18    ERROR -  FAILED (errors=1)
Siddartha, could you take a look at this? :-)
Blocks: 831630
Flags: needinfo?(psiddh)

Comment 2

6 years ago
Sure will take a look.
Flags: needinfo?(psiddh)
I could run the test well on my PC, not sure what went wrong.

Comment 4

6 years ago
Hello, I was able to run stk test cases on emulator without any issues. Is there something that I am missing here ?

Comment 5

6 years ago
Is there any update on this issue ? Do I have to sync to any specific build to reproduce this issue? Please suggest
(In reply to Siddartha P from comment #5)
> Is there any update on this issue ? Do I have to sync to any specific build
> to reproduce this issue? Please suggest

Looking at the log, this isn't a problem with this individual test, but some problem inside the remote debugger, on which Marionette depends.  See bug 859417.
Blocks: 859417
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → WORKSFORME
Comment hidden (Treeherder Robot)
seems its back -> https://tbpl.mozilla.org/php/getParsedLog.php?id=28665838&tree=B2g-Inbound
Status: RESOLVED → REOPENED
Resolution: WORKSFORME → ---
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Component: DOM: Device Interfaces → RIL
Product: Core → Firefox OS
Version: 21 Branch → unspecified
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)

Comment 13

4 years ago
Put this bug into backlog.
blocking-b2g: --- → backlog
Closing bugs where TBPLbot has previously commented, but have now not been modified for >3 months & do not contain the whiteboard strings for disabled/annotated tests or use the keyword leave-open. Filter on: mass-intermittent-bug-closure-2014-07
Status: REOPENED → RESOLVED
Last Resolved: 5 years ago4 years ago
Resolution: --- → WORKSFORME
Comment hidden (Treeherder Robot)
(Assignee)

Updated

4 years ago
blocking-b2g: backlog → ---
tracking-b2g: --- → backlog
You need to log in before you can comment on or make changes to this bug.